Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.scriptvalues_mod
Class ScriptValuesModData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.scriptvalues_mod.ScriptValuesModData

All Implemented Interfaces:
  StepDataInterface

    public class ScriptValuesModData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`org.mozilla.javascript.Context` | `cx`
`int[]` | `fields_used`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int[]` | `replaceIndex`
`org.mozilla.javascript.Scriptable` | `scope`
`org.mozilla.javascript.Script` | `script`
`org.pentaho.di.compatibility.Value[]` | `values_used`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ScriptValuesModData()`

Method Summary
`void` | `check(int i)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### cx

    public org.mozilla.javascript.Context cx

### scope

    public org.mozilla.javascript.Scriptable scope

### script

    public org.mozilla.javascript.Script script

### fields_used

    public int[] fields_used

### values_used

    public org.pentaho.di.compatibility.Value[] values_used

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### replaceIndex

    public int[] replaceIndex

Constructor Detail

### ScriptValuesModData

    public ScriptValuesModData()

Method Detail

### check

    public void check(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD